Skip to main content
List the claim portals for your project. The project is derived from your API token. Results are cursor-paginated. Route: POST /api/external/v1/portals

Headers

HeaderRequiredDescription
Content-TypeYesMust be application/json
x-magna-api-tokenYesYour Magna API token

Body parameters

FieldTypeRequiredDescription
cursorstring (uuid)NoPortal ID of the last item from the previous page
limitnumberNoPage size (default 50, max 100)

Request example

curl -X POST https://app.magna.so/api/external/v1/portals \
-H 'Content-Type: application/json' \
-H 'x-magna-api-token: YOUR_API_KEY' \
-d '{ "limit": 50 }'

Response example

{
  "items": [
    {
      "id": "po...uuid",
      "name": "Acme Claim Portal",
      "domains": ["acme.demo-portal.magna.so"],
      "legalEntityName": "Acme Inc.",
      "version": "V2",
      "createdAt": "2024-04-15T21:26:21.000Z",
      "updatedAt": "2024-04-15T21:26:21.000Z"
    }
  ],
  "cursor": "po...uuid",
  "total": 1
}